Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.monitor.parser
Class MonitorHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.apache.jmeter.monitor.parser.MonitorHandler

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler

public class MonitorHandler
extends DefaultHandler

Constructor Summary
`MonitorHandler()`

Method Summary
`void` | `characters(char[] ch, int start, int length)` Receive notification of character data inside an element.
`void` | `endDocument()`
`void` | `endElement(String uri, String localName, String qName)` Receive notification of the end of an element.
`Status` | `getContents()` method returns the status object.
`int` | `parseInt(String data)` Convienance method for parsing integers.
`long` | `parseLong(String data)` Convienance method for parsing long.
`void` | `setObjectFactory(ObjectFactory factory)` Set the ObjectFactory used to create new
`void` | `startDocument()`
`void` | `startElement(String uri, String localName, String qName, Attributes attributes)` Receive notification of the start of an element.

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MonitorHandler

    public MonitorHandler()

Method Detail

### setObjectFactory

    public void setObjectFactory(ObjectFactory factory)

  Set the ObjectFactory used to create new

  Parameters:
    `factory` -

### startDocument

    public void startDocument()
                       throws SAXException

  Throws:
    `SAXException`

### endDocument

    public void endDocument()
                     throws SAXException

  Throws:
    `SAXException`

### startElement

    public void startElement(String uri,
                             String localName,
                             String qName,
                             Attributes attributes)
                      throws SAXException

  Receive notification of the start of an element.

  By default, do nothing. Application writers may override this method in a subclass to take specific actions at the start of each element (such as allocating a new tree node or writing output to a file).

  Parameters:
    `uri` -
    `localName` - The element type name.
    `qName` -
    `attributes` - The specified or defaulted attributes.
  Throws:
    `SAXException` - Any SAX exception, possibly wrapping another exception.
  See Also:
    `ContentHandler.startElement(java.lang.String, java.lang.String, java.lang.String, org.xml.sax.Attributes)`

### endElement

    public void endElement(String uri,
                           String localName,
                           String qName)
                    throws SAXException

  Receive notification of the end of an element.

  By default, do nothing. Application writers may override this method in a subclass to take specific actions at the end of each element (such as finalising a tree node or writing output to a file).

  Parameters:
    `uri` -
    `localName` - The element type name.
    `qName` - The specified or defaulted attributes.
  Throws:
    `SAXException` - Any SAX exception, possibly wrapping another exception.
  See Also:
    `ContentHandler.endElement(java.lang.String, java.lang.String, java.lang.String)`

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws SAXException

  Receive notification of character data inside an element.

  By default, do nothing. Application writers may override this method to take specific actions for each chunk of character data (such as adding the data to a node or buffer, or printing it to a file).

  Parameters:
    `ch` - The characters.
    `start` - The start position in the character array.
    `length` - The number of characters to use from the character array.
  Throws:
    `SAXException` - Any SAX exception, possibly wrapping another exception.
  See Also:
    `ContentHandler.characters(char[], int, int)`

### parseLong

    public long parseLong(String data)

  Convienance method for parsing long. If the string was not a number, the method returns zero.

  Parameters:
    `data` -
  Returns:
    the value as a long

### parseInt

    public int parseInt(String data)

  Convienance method for parsing integers.

  Parameters:
    `data` -
  Returns:
    the value as an integer

### getContents

    public Status getContents()

  method returns the status object.

  Returns:
    the status

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.